## docker.io 1.6.2~dfsg1

=== Makefile ===
.PHONY: all binary build cross default docs docs-build docs-shell shell test test-unit test-integration test-integration-cli test-docker-py validate

# env vars passed through directly to Docker's build scripts
# to allow things like `make DOCKER_CLIENTONLY=1 binary` easily
# `docs/sources/contributing/devenvironment.md ` and `project/PACKAGERS.md` have some limited documentation of some of these
DOCKER_ENVS := \
	-e BUILDFLAGS \
	-e DOCKER_CLIENTONLY \
	-e DOCKER_EXECDRIVER \
	-e DOCKER_GRAPHDRIVER \
	-e TESTDIRS \
	-e TESTFLAGS \
	-e TIMEOUT
# note: we _cannot_ add "-e DOCKER_BUILDTAGS" here because even if it's unset in the shell, that would shadow the "ENV DOCKER_BUILDTAGS" set in our Dockerfile, which is very important for our official builds

# to allow `make BIND_DIR=. shell` or `make BIND_DIR= test`
# (default to no bind mount if DOCKER_HOST is set)
# note: BINDDIR is supported for backwards-compatibility here
BIND_DIR := $(if $(BINDDIR),$(BINDDIR),$(if $(DOCKER_HOST),,bundles))
DOCKER_MOUNT := $(if $(BIND_DIR),-v "$(CURDIR)/$(BIND_DIR):/go/src/github.com/docker/docker/$(BIND_DIR)")

# to allow `make DOCSDIR=docs docs-shell` (to create a bind mount in docs)
DOCS_MOUNT := $(if $(DOCSDIR),-v $(CURDIR)/$(DOCSDIR):/$(DOCSDIR))

# to allow `make DOCSPORT=9000 docs`
DOCSPORT := 8000

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
DOCKER_IMAGE := docker$(if $(GIT_BRANCH),:$(GIT_BRANCH))
DOCKER_DOCS_IMAGE := docker-docs$(if $(GIT_BRANCH),:$(GIT_BRANCH))

DOCKER_RUN_DOCKER := docker run --rm -it --privileged $(DOCKER_ENVS) $(DOCKER_MOUNT) "$(DOCKER_IMAGE)"

DOCKER_RUN_DOCS := docker run --rm -it $(DOCS_MOUNT) -e AWS_S3_BUCKET -e NOCACHE

# for some docs workarounds (see below in "docs-build" target)
GITCOMMIT := $(shell git rev-parse --short HEAD 2>/dev/null)

default: binary

all: build
	$(DOCKER_RUN_DOCKER) hack/make.sh

binary: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary

cross: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross

docs: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" mkdocs serve

docs-shell: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" bash

docs-release: docs-build
	$(DOCKER_RUN_DOCS) -e OPTIONS -e BUILD_ROOT -e DISTRIBUTION_ID \
		-v $(CURDIR)/docs/awsconfig:/docs/awsconfig \
		"$(DOCKER_DOCS_IMAGE)" ./release.sh

docs-test: docs-build
	$(DOCKER_RUN_DOCS) "$(DOCKER_DOCS_IMAGE)" ./test.sh

test: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross test-unit test-integration test-integration-cli test-docker-py

test-unit: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test-unit

test-integration: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test-integration

test-integration-cli: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary test-integration-cli

test-docker-py: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary test-docker-py

validate: build
	$(DOCKER_RUN_DOCKER) hack/make.sh validate-gofmt validate-dco validate-toml

shell: build
	$(DOCKER_RUN_DOCKER) bash

build: bundles
	docker build -t "$(DOCKER_IMAGE)" .

docs-build:
	cp ./VERSION docs/VERSION
	echo "$(GIT_BRANCH)" > docs/GIT_BRANCH
#	echo "$(AWS_S3_BUCKET)" > docs/AWS_S3_BUCKET
	echo "$(GITCOMMIT)" > docs/GITCOMMIT
	docker pull docs/base
	docker build -t "$(DOCKER_DOCS_IMAGE)" docs

bundles:
	mkdir bundles

=== debian/changelog ===
docker.io (1.6.2~dfsg1-2) unstable; urgency=medium

  * Add DEP8 tests
    - integration: runs upstream's integration tests
  * Replace "code.google.com/p/go.net" with canonical "golang.org/x/net"
    (Closes: #789736)

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 01 Jul 2015 07:45:19 -0600

docker.io (1.6.2~dfsg1-1) unstable; urgency=medium

  * Update to 1.6.2 upstream release
  * Update deps in d/control to match upstream's hack/vendor.sh specifications

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 21 May 2015 00:47:43 -0600

docker.io (1.6.1+dfsg1-2) unstable; urgency=medium

  * Add --no-restart-on-upgrade to dh_installinit so that we don't force
    a stop on upgrade, which can cause other units to fall over. Many thanks
    to Michael Stapelberg (sECuRE) for the tip!

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 10 May 2015 13:02:54 -0400

docker.io (1.6.1+dfsg1-1) unstable; urgency=high

  * Update to 1.6.1 upstream release (Closes: #784726)
    - CVE-2015-3627
      Insecure opening of file-descriptor 1 leading to privilege escalation
    - CVE-2015-3629
      Symlink traversal on container respawn allows local privilege escalation
    - CVE-2015-3630
      Read/write proc paths allow host modification & information disclosure
    - CVE-2015-3631
      Volume mounts allow LSM profile escalation

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 08 May 2015 17:57:10 -0600

docker.io (1.6.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * Backport PR 12943 to support golang-go-patricia 2.*
  * Remove convenience copies of cgroupfs-mount in init.d / upstart scripts
    (Re: #783143)

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 05 May 2015 15:10:49 -0600

docker.io (1.6.0+dfsg1-1~exp1) experimental; urgency=medium

  * Update to 1.6.0 upstream release
  * Adjust "repack.sh" to be more tolerant of "dfsg" suffixes

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 16 Apr 2015 18:00:21 -0600

docker.io (1.6.0~rc7~dfsg1-1~exp1) experimental; urgency=low

  * Update to 1.6.0-rc7 upstream release

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 15 Apr 2015 19:35:46 -0600

docker.io (1.6.0~rc4~dfsg1-1) experimental; urgency=low

  [ Tianon Gravi ]
  * Update to 1.6.0-rc4 upstream release
    - drop golang 1.2 support (no longer supported upstream)
    - update Homepage to https://dockerproject.com
    - add check-config.sh to /usr/share/docker.io/contrib
    - add "distribution" as a new multitarball orig
    - backport auto "btrfs_noversion" patch from
      https://github.com/docker/docker/pull/12048
      (simplifying our logic for detecting whether to use it)
    - switch from dh-golang to direct install since we're not actually using the
      features it offers (due to upstream's build system)
    - enable "docker.service" on boot by default for restart policies to work

  [ Felipe Sateler ]
  * Add Built-Using for glibc (Closes: #769351).

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 06 Apr 2015 17:11:33 -0600

=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
           Tianon Gravi <admwiggin@gmail.com>,
           Johan Euphrosine <proppy@google.com>
Build-Depends: bash-completion,
               btrfs-tools,
               debhelper (>=9),
               dh-systemd,
               go-md2man (>= 1.0.1~),
               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
               golang-context-dev (>= 0.0~git20140604~),
               golang-dbus-dev (>= 2~),
               golang-fsnotify-dev (>= 1.0.4~),
               golang-go-patricia-dev (>= 2.1.0~),
               golang-go-systemd-dev (>= 2~),
               golang-go.net-dev (>= 0.0~hg20130629~),
               golang-gocapability-dev (>= 0.0~git20150506~),
               golang-gosqlite-dev (>= 0.0~hg20130530~),
               golang-logrus-dev (>= 0.7.3~),
               golang-mux-dev (>= 0.0~git20140505~),
               golang-pty-dev (>= 0.0~git20141217~),
               libapparmor-dev,
               libdevmapper-dev (>= 2:1.02.68~)
Standards-Version: 3.9.6
Homepage: https://dockerproject.com
Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git

Package: docker.io
Architecture: linux-any
Depends: adduser, iptables, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: aufs-tools,
            ca-certificates,
            cgroupfs-mount | cgroup-lite,
            git,
            xz-utils,
            ${apparmor:Recommends}
Replaces: docker (<< 1.5~)
Breaks: docker (<< 1.5~)
Suggests: btrfs-tools, debootstrap, lxc, rinse
Built-Using: ${misc:Built-Using}, ${libc:Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64 hosts
 is not supported at this time. Please be careful when using it on anything
 besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.

Package: vim-syntax-docker
Architecture: all
Depends: vim, ${misc:Depends}
Recommends: vim-addon-manager
Suggests: docker.io
Description: Docker container engine - Vim highlighting syntax files
 This package provides syntax files for the Vim editor for editing Dockerfiles
 from the Docker container engine.

Package: golang-docker-dev
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Externally reusable Go packages included with Docker
 These packages are intentionally developed by upstream in such a way that they
 are reusable to projects outside Docker and only rely on each other or other
 external dependencies to be built.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DOCKER_GOPKG = github.com/docker/docker

# MUST STAY IN SYNC WITH LIST IN "debian/helpers/download-libcontainer"
MULTI_ORIG_GOPKGS = \
	github.com/docker/libcontainer \
	github.com/docker/libtrust \
	github.com/docker/distribution

# the list of Go packages to include in golang-docker-dev
DEV_GOPKGS = \
	github.com/docker/docker/autogen/dockerversion \
	github.com/docker/docker/pkg \
	github.com/docker/libcontainer

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
export GOPATH = $(CURDIR)/.gopath
GOPATH_PACKAGED = /usr/share/gocode

# a few helpful variables for deduplication
DOCKER_BINPATH = /usr/bin/docker
DOCKER_VERSION = $(shell cat VERSION)

export DOCKER_GITCOMMIT = $(shell ./debian/helpers/gitcommit.sh $(DOCKER_VERSION))
export DOCKER_INITPATH = /usr/lib/docker.io/dockerinit

# AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
export DOCKER_BUILDTAGS = apparmor


APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
BUILT_LIBC := $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)

override_dh_gencontrol:
	echo 'apparmor:Recommends=$(APPARMOR_RECOMMENDS)' >> debian/docker.io.substvars
	echo 'libc:Built-Using=$(BUILT_LIBC)' >> debian/docker.io.substvars
	dh_gencontrol


setup-gopath:
	# make sure we have our multitarball deps (from tarballs or from vendor/ in nightlies)
	@set -ex; \
		for package in $(MULTI_ORIG_GOPKGS); do \
			[ -d $$(basename $$package) ] || { [ -d vendor/src/$$package ] && ln -sf vendor/src/$$package $$(basename $$package); }; \
		done
	
	# we need to make sure all deps are in our GOPATH
	mkdir -p "$(GOPATH)"
	@set -ex; \
		for package in $(DOCKER_GOPKG) $(MULTI_ORIG_GOPKGS); do \
			[ $$package = $(DOCKER_GOPKG) ] \
				&& src=. \
				|| src=$$(basename $$package); \
			mkdir -p "$$GOPATH/src/$$(dirname $$package)"; \
			ln -sfT "$$(readlink -f "$$src")" "$$GOPATH/src/$$package"; \
		done

override_dh_auto_build:
	@bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
	
	./debian/rules setup-gopath
	
	# build "docker" and "dockerinit"
	GOPATH="$$GOPATH:$(GOPATH_PACKAGED)" \
	./hack/make.sh dynbinary
	
	# compile man pages
	./docs/man/md2man-all.sh -q


override_dh_auto_install:
	# install docker binary
	mkdir -p debian/docker.io/$(dir $(DOCKER_BINPATH))
	cp -aT bundles/$(DOCKER_VERSION)/dynbinary/docker-$(DOCKER_VERSION) debian/docker.io/$(DOCKER_BINPATH)
	
	# install dockerinit binary
	mkdir -p debian/docker.io/$(dir $(DOCKER_INITPATH))
	cp -aT bundles/$(DOCKER_VERSION)/dynbinary/dockerinit-$(DOCKER_VERSION) debian/docker.io/$(DOCKER_INITPATH)
	
	# Most of the source of docker does not make a library,
	#   so only ship the reusable parts (and in a separate package).
	@set -ex; \
		for package in $(DEV_GOPKGS); do \
			mkdir -p "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
			cp -aT "$$(readlink -f "$$GOPATH/src/$$package")" "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
		done


override_dh_strip:
	# the SHA1 of dockerinit is important: don't strip it
	# also, Go has lots of problems with stripping, so just don't


override_dh_auto_test:


override_dh_installinit:
	dh_installinit --name=docker --no-restart-on-upgrade


override_dh_installudev:
	# use priority z80 to match the upstream priority of 80
	dh_installudev --priority=z80


override_dh_auto_clean:
	dh_auto_clean
	
	# GOPATH is created by us
	rm -rf "$(GOPATH)"
	
	# autogen is created by hack/make.sh
	# bundles is created by hack/make.sh
	# docs/man/man*/ is created by docs/man/md2man-all.sh
	rm -rf autogen bundles docs/man/man*/


%:
	dh $@ --with=systemd,bash-completion

=== debian/tests/control ===
Tests: integration
Depends: ca-certificates, curl, git, @, @builddeps@
Restrictions: allow-stderr isolation-machine needs-root rw-build-tree

## docker.io 1.7.1~dfsg1

=== debian/changelog ===
docker.io (1.7.1~dfsg1-1) unstable; urgency=medium

  * Update to 1.7.1 upstream release
  * Remove patches applied upstream; refresh other patches
  * Update Build-Depends

 -- Tianon Gravi <tianon@debian.org>  Wed, 26 Aug 2015 10:13:48 -0700

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,28 @@
 Priority: optional
 Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
-           Tianon Gravi <admwiggin@gmail.com>,
+           Tianon Gravi <tianon@debian.org>,
            Johan Euphrosine <proppy@google.com>
 Build-Depends: bash-completion,
                btrfs-tools,
                debhelper (>=9),
                dh-systemd,
                go-md2man (>= 1.0.1~),
-               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
                golang-context-dev (>= 0.0~git20140604~),
                golang-dbus-dev (>= 2~),
-               golang-fsnotify-dev (>= 1.0.4~),
+               golang-github-coreos-go-systemd-dev (>= 2~),
+               golang-github-gorilla-mux-dev (>= 0.0~git20140926~),
+               golang-github-vishvananda-netlink-dev (>= 0.0~git20150224~),
+               golang-github-vishvananda-netns-dev (>= 0.0~git20150526~),
+               golang-go (>= 2:1.4~),
                golang-go-patricia-dev (>= 2.1.0~),
-               golang-go-systemd-dev (>= 2~),
+               golang-go-zfs-dev (>= 2.1.0~),
                golang-go.net-dev (>= 0.0~hg20130629~),
                golang-gocapability-dev (>= 0.0~git20150506~),
+               golang-goprotobuf-dev (>= 0.0~git20150325~),
                golang-gosqlite-dev (>= 0.0~hg20130530~),
                golang-logrus-dev (>= 0.7.3~),
-               golang-mux-dev (>= 0.0~git20140505~),
-               golang-pty-dev (>= 0.0~git20141217~),
+               golang-pty-dev (>= 0.0~git20150511~),
                libapparmor-dev,
                libdevmapper-dev (>= 2:1.02.68~)
 Standards-Version: 3.9.6
@@ -40,7 +43,7 @@
             ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
-Suggests: btrfs-tools, debootstrap, lxc, rinse
+Suggests: btrfs-tools, debootstrap, lxc, rinse, zfs-fuse | zfsutils
 Built-Using: ${misc:Built-Using}, ${libc:Built-Using}
 Description: Linux container runtime
  Docker complements kernel namespacing with a high-level API which operates at

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # MUST STAY IN SYNC WITH LIST IN "debian/helpers/download-libcontainer"
 MULTI_ORIG_GOPKGS = \
 	github.com/docker/libcontainer \
+	github.com/docker/libnetwork \
 	github.com/docker/libtrust \
 	github.com/docker/distribution
 
@@ -67,7 +68,7 @@
 	./hack/make.sh dynbinary
 	
 	# compile man pages
-	./docs/man/md2man-all.sh -q
+	./man/md2man-all.sh -q
 
 
 override_dh_auto_install:
@@ -113,8 +114,8 @@
 	
 	# autogen is created by hack/make.sh
 	# bundles is created by hack/make.sh
-	# docs/man/man*/ is created by docs/man/md2man-all.sh
-	rm -rf autogen bundles docs/man/man*/
+	# man/man*/ is created by man/md2man-all.sh
+	rm -rf autogen bundles man/man*/
 
 
 %:

## docker.io 1.8.3~ds1

=== debian/changelog ===
docker.io (1.8.3~ds1-2) unstable; urgency=medium

  * Move "overlay" higher in priority (Closes: #799087)
  * Adjust "native.cgroupdriver" to default to "cgroupfs" (Closes: #798778)

 -- Tianon Gravi <tianon@debian.org>  Wed, 04 Nov 2015 00:09:02 -0800

docker.io (1.8.3~ds1-1) unstable; urgency=medium

  * Update to 1.8.3 upstream release (CVE-2014-8178, CVE-2014-8179)

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 19:40:51 -0700

docker.io (1.8.2~ds1-2) unstable; urgency=medium

  * Swap Build-Depends order to appease buildds (Closes: #803136)

 -- Tianon Gravi <tianon@debian.org>  Thu, 29 Oct 2015 07:23:10 -0700

docker.io (1.8.2~ds1-1) unstable; urgency=medium

  * Update to 1.8.2 upstream release
  * Rename golang-docker-dev package to golang-github-docker-docker-dev
  * Add SELinux support (Closes: #799620)

 -- Tianon Gravi <tianon@debian.org>  Wed, 28 Oct 2015 14:21:00 -0700

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,44 @@
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Johan Euphrosine <proppy@google.com>
+# partially generated via https://gist.github.com/tianon/92ebbd1793864b9586bc
 Build-Depends: bash-completion,
                btrfs-tools,
                debhelper (>=9),
                dh-systemd,
-               go-md2man (>= 1.0.1~),
-               golang-context-dev (>= 0.0~git20140604~),
-               golang-dbus-dev (>= 2~),
+               go-md2man (>= 1.0.3~),
+               golang-context-dev (>= 0.0~git20140604~) | golang-github-gorilla-context-dev (>= 0.0~git20140604~),
+               golang-dbus-dev (>= 2~) | golang-github-godbus-dbus-dev (>= 2~),
+               golang-etcd-dev (>= 2.0.0~) | golang-github-coreos-go-etcd-dev (>= 2.0.0~),
+               golang-fsnotify-dev (>= 1.2.0~) | golang-gopkg-fsnotify.v1-dev (>= 1.2.0~),
+               golang-github-armon-go-metrics-dev (>= 0.0~git20150106~),
                golang-github-coreos-go-systemd-dev (>= 2~),
+               golang-github-docker-distribution-dev (>= 0.0~git20150827~),
+               golang-github-docker-libkv-dev (>= 0.0~git20150619~),
+               golang-github-docker-libtrust-dev (>= 0.0~git20150526~),
+               golang-github-docker-notary-dev (>= 0.0~git20150801~),
+               golang-github-endophage-gotuf-dev (>= 0.0~git20150811~),
+               golang-github-fluent-fluent-logger-golang-dev (>= 1.0.0~),
                golang-github-gorilla-mux-dev (>= 0.0~git20140926~),
-               golang-github-vishvananda-netlink-dev (>= 0.0~git20150224~),
-               golang-github-vishvananda-netns-dev (>= 0.0~git20150526~),
-               golang-go (>= 2:1.4~),
-               golang-go-patricia-dev (>= 2.1.0~),
-               golang-go-zfs-dev (>= 2.1.0~),
-               golang-go.net-dev (>= 0.0~hg20130629~),
-               golang-gocapability-dev (>= 0.0~git20150506~),
-               golang-goprotobuf-dev (>= 0.0~git20150325~),
-               golang-gosqlite-dev (>= 0.0~hg20130530~),
-               golang-logrus-dev (>= 0.7.3~),
-               golang-pty-dev (>= 0.0~git20150511~),
+               golang-github-graylog2-go-gelf-dev (>= 0.0~git20150610~),
+               golang-github-hashicorp-go-msgpack-dev (>= 0.0~git20140221~),
+               golang-github-hashicorp-serf-dev (>= 0.0~git20150212~),
+               golang-github-mattn-go-sqlite3-dev (>= 0.0~git20150629~),
+               golang-github-opencontainers-runc-dev (>= 0.0.2.1~),
+               golang-github-samuel-go-zookeeper-dev (>= 0.0~git20150415~),
+               golang-github-sirupsen-logrus-dev (>= 0.8.2~),
+               golang-github-tent-canonical-json-go-dev (>= 0.0~git20130607~),
+               golang-github-vbatts-tar-split-dev (>= 0.9.6~),
+               golang-github-vishvananda-netlink-dev (>= 0.0~git20150815~),
+               golang-github-vishvananda-netns-dev (>= 0.0~git20150630~),
+               golang-go-patricia-dev (>= 2.1.0~) | golang-github-tchap-go-patricia-dev (>= 2.1.0~),
+               golang-go-zfs-dev (>= 2.1.1~) | golang-github-mistifyio-go-zfs-dev (>= 2.1.1~),
+               golang-gocapability-dev (>= 0.0~git20150506~) | golang-github-syndtr-gocapability-dev (>= 0.0~git20150506~),
+               golang-golang-x-net-dev (>= 0.0~git20150610~),
+               golang-goprotobuf-dev (>= 0.0~git20150325~) | golang-github-golang-protobuf-dev (>= 0.0~git20150325~),
+               golang-gosqlite-dev (>= 0.0~hg20130530~) | golang-code.google-p-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-pty-dev (>= 0.0~git20150511~) | golang-github-kr-pty-dev (>= 0.0~git20150511~),
+               golang-toml-dev (>= 0.0~git20150127~) | golang-github-burntsushi-toml-dev (>= 0.0~git20150127~),
                libapparmor-dev,
                libdevmapper-dev (>= 2:1.02.68~)
 Standards-Version: 3.9.6
@@ -35,15 +53,14 @@
 Package: docker.io
 Architecture: linux-any
 Depends: adduser, iptables, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: aufs-tools,
-            ca-certificates,
+Recommends: ca-certificates,
             cgroupfs-mount | cgroup-lite,
             git,
             xz-utils,
             ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
-Suggests: btrfs-tools, debootstrap, lxc, rinse, zfs-fuse | zfsutils
+Suggests: aufs-tools, btrfs-tools, debootstrap, lxc, rinse, zfs-fuse | zfsutils
 Built-Using: ${misc:Built-Using}, ${libc:Built-Using}
 Description: Linux container runtime
  Docker complements kernel namespacing with a high-level API which operates at
@@ -71,11 +88,22 @@
  This package provides syntax files for the Vim editor for editing Dockerfiles
  from the Docker container engine.
 
-Package: golang-docker-dev
+Package: golang-github-docker-docker-dev
 Architecture: all
 Depends: ${misc:Depends}
 Built-Using: ${misc:Built-Using}
+Replaces: golang-docker-dev (<< 1.8.2~ds1-1~)
+Breaks: golang-docker-dev (<< 1.8.2~ds1-1~)
+Provides: golang-docker-dev
 Description: Externally reusable Go packages included with Docker
  These packages are intentionally developed by upstream in such a way that they
  are reusable to projects outside Docker and only rely on each other or other
  external dependencies to be built.
+
+Package: golang-docker-dev
+Section: oldlibs
+Architecture: all
+Depends: golang-github-docker-docker-dev, ${misc:Depends}
+Description: Transitional package for golang-github-docker-docker-dev
+ This is a transitional package to ease upgrades to the
+ golang-github-docker-docker-dev package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,12 @@
 
 # MUST STAY IN SYNC WITH LIST IN "debian/helpers/download-libcontainer"
 MULTI_ORIG_GOPKGS = \
-	github.com/docker/libcontainer \
-	github.com/docker/libnetwork \
-	github.com/docker/libtrust \
-	github.com/docker/distribution
+	github.com/docker/libnetwork
 
-# the list of Go packages to include in golang-docker-dev
+# the list of Go packages to include in golang-github-docker-docker-dev
 DEV_GOPKGS = \
 	github.com/docker/docker/autogen/dockerversion \
-	github.com/docker/docker/pkg \
-	github.com/docker/libcontainer
+	github.com/docker/docker/pkg
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export GOPATH = $(CURDIR)/.gopath
@@ -28,7 +24,8 @@
 export DOCKER_INITPATH = /usr/lib/docker.io/dockerinit
 
 # AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
-export DOCKER_BUILDTAGS = apparmor
+# same story with SELinux
+export DOCKER_BUILDTAGS = apparmor selinux
 
 
 APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
@@ -84,8 +81,8 @@
 	#   so only ship the reusable parts (and in a separate package).
 	@set -ex; \
 		for package in $(DEV_GOPKGS); do \
-			mkdir -p "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
-			cp -aT "$$(readlink -f "$$GOPATH/src/$$package")" "debian/golang-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
+			mkdir -p "debian/golang-github-docker-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
+			cp -aT "$$(readlink -f "$$GOPATH/src/$$package")" "debian/golang-github-docker-docker-dev/$(GOPATH_PACKAGED)/src/$$package"; \
 		done
 
 
@@ -116,6 +113,9 @@
 	# bundles is created by hack/make.sh
 	# man/man*/ is created by man/md2man-all.sh
 	rm -rf autogen bundles man/man*/
+	
+	# TODO FIGURE OUT WHY THIS IS CREATED AND SEND A PR UPSTREAM!!!
+	rm -f a.out
 
 
 %:

=== debian/tests/control ===
Tests: integration
Depends: ca-certificates, curl, git, golang-check.v1-dev, @, @builddeps@
Restrictions: allow-stderr isolation-machine needs-root rw-build-tree
